{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "FullEnrich",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "fullenrich": {
        "description": "",
        "title": "FullEnrich",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "a23058f696d6e15c59908d9975fd9852cfffba0fa71d4c9cb4819bc19c99ee0d",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/fullenrich/companies/lookup",
      "/apis/v1/fullenrich/companies/match",
      "/apis/v1/fullenrich/companies/search",
      "/apis/v1/fullenrich/contacts/mobile",
      "/apis/v1/fullenrich/contacts/personal-email",
      "/apis/v1/fullenrich/contacts/reverse-email",
      "/apis/v1/fullenrich/contacts/work-email",
      "/apis/v1/fullenrich/people/lookup",
      "/apis/v1/fullenrich/people/match",
      "/apis/v1/fullenrich/people/search"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:0a8c2eb398c802ca30222c3d1dbf729dac2171841df844478f5e960e26af7977",
      "facts_hash": "a23058f696d6e15c59908d9975fd9852cfffba0fa71d4c9cb4819bc19c99ee0d",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "fullenrich"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/fullenrich/companies/lookup": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.001 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.companies.lookup",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "domain": "example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "domain": "example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "domain": {}
                        },
                        "required": [
                          "domain"
                        ]
                      },
                      {
                        "properties": {
                          "professional_network_id": {}
                        },
                        "required": [
                          "professional_network_id"
                        ]
                      },
                      {
                        "properties": {
                          "professional_network_url": {}
                        },
                        "required": [
                          "professional_network_url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "domain": {
                    "type": "string"
                  },
                  "professional_network_id": {
                    "type": "number"
                  },
                  "professional_network_url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Company lookup",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_domain",
                "selector": "/domain"
              },
              {
                "in": "body",
                "name": "option_professional_network_id",
                "selector": "/professional_network_id"
              },
              {
                "in": "body",
                "name": "option_professional_network_url",
                "selector": "/professional_network_url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-companies-lookup",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.001,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "7dc03297b564"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.companies.lookup",
          "path": "/apis/v1/fullenrich/companies/lookup"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/companies/lookup \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"domain\": \"example.com\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/companies/match": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.companies.match",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "linkedin_url": "https://example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "linkedin_url": "https://example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "linkedin_url": {
                    "type": "string"
                  }
                },
                "required": [
                  "linkedin_url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Company match",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-companies-match",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "21e68bce8ccf"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.companies.match",
          "path": "/apis/v1/fullenrich/companies/match"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/companies/match \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"linkedin_url\": \"https://example.com\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/companies/search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.companies.search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "limit": 1
                  }
                },
                "minimal": {
                  "value": {
                    "limit": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "limit": {
                    "maximum": 6,
                    "minimum": 1,
                    "type": "integer"
                  }
                },
                "required": [
                  "limit"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Company search",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-companies-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "eff44adbfc28"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.companies.search",
          "path": "/apis/v1/fullenrich/companies/search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/companies/search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"limit\": 1\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/contacts/mobile": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.03 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.contacts.mobile",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "company_name": "example",
                    "first_name": "example",
                    "last_name": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "company_name": "example",
                    "first_name": "example",
                    "last_name": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "company_name": {}
                        },
                        "required": [
                          "company_name"
                        ]
                      },
                      {
                        "properties": {
                          "domain": {}
                        },
                        "required": [
                          "domain"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  },
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "first_name": {}
                        },
                        "required": [
                          "first_name"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  },
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "last_name": {}
                        },
                        "required": [
                          "last_name"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "company_name": {
                    "type": "string"
                  },
                  "domain": {
                    "type": "string"
                  },
                  "first_name": {
                    "type": "string"
                  },
                  "last_name": {
                    "type": "string"
                  },
                  "linkedin_url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Mobile number",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_company_name",
                "selector": "/company_name"
              },
              {
                "in": "body",
                "name": "option_domain",
                "selector": "/domain"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ],
            [
              {
                "in": "body",
                "name": "option_first_name",
                "selector": "/first_name"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ],
            [
              {
                "in": "body",
                "name": "option_last_name",
                "selector": "/last_name"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-contacts-mobile",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.03,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "b82ec2dc3c15"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.contacts.mobile",
          "path": "/apis/v1/fullenrich/contacts/mobile"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/contacts/mobile \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"company_name\": \"example\",\n  \"first_name\": \"example\",\n  \"last_name\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/contacts/personal-email": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.01 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.contacts.personal-email",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "company_name": "example",
                    "first_name": "example",
                    "last_name": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "company_name": "example",
                    "first_name": "example",
                    "last_name": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "company_name": {}
                        },
                        "required": [
                          "company_name"
                        ]
                      },
                      {
                        "properties": {
                          "domain": {}
                        },
                        "required": [
                          "domain"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  },
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "first_name": {}
                        },
                        "required": [
                          "first_name"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  },
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "last_name": {}
                        },
                        "required": [
                          "last_name"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "company_name": {
                    "type": "string"
                  },
                  "domain": {
                    "type": "string"
                  },
                  "first_name": {
                    "type": "string"
                  },
                  "last_name": {
                    "type": "string"
                  },
                  "linkedin_url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Personal email",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_company_name",
                "selector": "/company_name"
              },
              {
                "in": "body",
                "name": "option_domain",
                "selector": "/domain"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ],
            [
              {
                "in": "body",
                "name": "option_first_name",
                "selector": "/first_name"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ],
            [
              {
                "in": "body",
                "name": "option_last_name",
                "selector": "/last_name"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-contacts-personal-email",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.01,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "223764b9a667"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.contacts.personal-email",
          "path": "/apis/v1/fullenrich/contacts/personal-email"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/contacts/personal-email \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"company_name\": \"example\",\n  \"first_name\": \"example\",\n  \"last_name\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/contacts/reverse-email": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.contacts.reverse-email",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "email": "hello@example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "email": "hello@example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "email": {
                    "type": "string"
                  }
                },
                "required": [
                  "email"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Reverse email lookup",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-contacts-reverse-email",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "f6abd5178efc"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.contacts.reverse-email",
          "path": "/apis/v1/fullenrich/contacts/reverse-email"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/contacts/reverse-email \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"email\": \"hello@example.com\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/contacts/work-email": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.003 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.contacts.work-email",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "company_name": "example",
                    "first_name": "example",
                    "last_name": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "company_name": "example",
                    "first_name": "example",
                    "last_name": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "company_name": {}
                        },
                        "required": [
                          "company_name"
                        ]
                      },
                      {
                        "properties": {
                          "domain": {}
                        },
                        "required": [
                          "domain"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  },
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "first_name": {}
                        },
                        "required": [
                          "first_name"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  },
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "last_name": {}
                        },
                        "required": [
                          "last_name"
                        ]
                      },
                      {
                        "properties": {
                          "linkedin_url": {}
                        },
                        "required": [
                          "linkedin_url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "company_name": {
                    "type": "string"
                  },
                  "domain": {
                    "type": "string"
                  },
                  "first_name": {
                    "type": "string"
                  },
                  "last_name": {
                    "type": "string"
                  },
                  "linkedin_url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Work email",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_company_name",
                "selector": "/company_name"
              },
              {
                "in": "body",
                "name": "option_domain",
                "selector": "/domain"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ],
            [
              {
                "in": "body",
                "name": "option_first_name",
                "selector": "/first_name"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ],
            [
              {
                "in": "body",
                "name": "option_last_name",
                "selector": "/last_name"
              },
              {
                "in": "body",
                "name": "option_linkedin_url",
                "selector": "/linkedin_url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-contacts-work-email",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "68291e37c5b8"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.contacts.work-email",
          "path": "/apis/v1/fullenrich/contacts/work-email"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/contacts/work-email \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"company_name\": \"example\",\n  \"first_name\": \"example\",\n  \"last_name\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/people/lookup": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.001 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.people.lookup",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "company_domain": "example.com",
                    "person_name": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "company_domain": "example.com",
                    "person_name": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "company_domain": {}
                        },
                        "required": [
                          "company_domain"
                        ]
                      },
                      {
                        "properties": {
                          "company_professional_network_id": {}
                        },
                        "required": [
                          "company_professional_network_id"
                        ]
                      },
                      {
                        "properties": {
                          "company_professional_network_url": {}
                        },
                        "required": [
                          "company_professional_network_url"
                        ]
                      },
                      {
                        "properties": {
                          "person_professional_network_id": {}
                        },
                        "required": [
                          "person_professional_network_id"
                        ]
                      },
                      {
                        "properties": {
                          "person_professional_network_url": {}
                        },
                        "required": [
                          "person_professional_network_url"
                        ]
                      }
                    ]
                  },
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "person_name": {}
                        },
                        "required": [
                          "person_name"
                        ]
                      },
                      {
                        "properties": {
                          "person_professional_network_id": {}
                        },
                        "required": [
                          "person_professional_network_id"
                        ]
                      },
                      {
                        "properties": {
                          "person_professional_network_url": {}
                        },
                        "required": [
                          "person_professional_network_url"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "company_domain": {
                    "type": "string"
                  },
                  "company_professional_network_id": {
                    "type": "number"
                  },
                  "company_professional_network_url": {
                    "type": "string"
                  },
                  "person_name": {
                    "type": "string"
                  },
                  "person_professional_network_id": {
                    "type": "number"
                  },
                  "person_professional_network_url": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Person lookup",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_company_domain",
                "selector": "/company_domain"
              },
              {
                "in": "body",
                "name": "option_company_professional_network_id",
                "selector": "/company_professional_network_id"
              },
              {
                "in": "body",
                "name": "option_company_professional_network_url",
                "selector": "/company_professional_network_url"
              },
              {
                "in": "body",
                "name": "option_person_professional_network_id",
                "selector": "/person_professional_network_id"
              },
              {
                "in": "body",
                "name": "option_person_professional_network_url",
                "selector": "/person_professional_network_url"
              }
            ],
            [
              {
                "in": "body",
                "name": "option_person_name",
                "selector": "/person_name"
              },
              {
                "in": "body",
                "name": "option_person_professional_network_id",
                "selector": "/person_professional_network_id"
              },
              {
                "in": "body",
                "name": "option_person_professional_network_url",
                "selector": "/person_professional_network_url"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-people-lookup",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.001,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "13303e20ceee"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.people.lookup",
          "path": "/apis/v1/fullenrich/people/lookup"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/people/lookup \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"company_domain\": \"example.com\",\n  \"person_name\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/people/match": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.people.match",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "linkedin_url": "https://example.com"
                  }
                },
                "minimal": {
                  "value": {
                    "linkedin_url": "https://example.com"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "linkedin_url": {
                    "type": "string"
                  }
                },
                "required": [
                  "linkedin_url"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Person match",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-people-match",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "e674c7229832"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.people.match",
          "path": "/apis/v1/fullenrich/people/match"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/people/match \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"linkedin_url\": \"https://example.com\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/fullenrich/people/search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "fullenrich.people.search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "limit": 1
                  }
                },
                "minimal": {
                  "value": {
                    "limit": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "limit": {
                    "maximum": 2,
                    "minimum": 1,
                    "type": "integer"
                  }
                },
                "required": [
                  "limit"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "People search",
        "tags": [
          "FullEnrich"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "fullenrich",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/fullenrich/fullenrich-people-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "21609444ec96"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "fullenrich.people.search",
          "path": "/apis/v1/fullenrich/people/search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/fullenrich/people/search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"limit\": 1\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
